Subject: [Ecrit] PSAP callback

From: "Thomson, Martin" <[email-masked]>
Date: Tue, 28 Jun 2011 14:40:09 +0800

Christer,

Looking at draft-holmberg-ecrit-callback-00, I'm struggling with the necessity of the sip.psap.callback tag.

The idea that I recall being floated is very similar to the one I see proposed here.  That used a GRUU but no explicit tag.  This is subtly different and I can't see a reason why it is better.

This could be a very simple thing to specify.  Adding the tag could actually make it harder.
	
In your proposal, registrations and calls initiated by the UAC include a special tag that indicates that this particular contact is for PSAP callback purposes.  That tag shouldn't be necessary - the knowledge is really only necessary at the UAC - the UAC would just request a couple of extra GRUUs (perhaps by making a new instance id).

In my recollection, one GRUU (temp or pub depending on anonymity requirements) the was identified by the UAC as its "emergency" GRUU.  This GRUU is henceforth only ever used for emergency call initiation.  Calls were identified as a callback because no one but a PSAP ever gets a call from the "emergency" GRUU.

The difference is that in your proposal, there is an explicit indicator throughout the network.  I'm not certain that this is necessary, or even helpful.  In some constrained environments, it might be possible to hang some special policy off the tag, but that leaves it open to abuse elsewhere.

As long as call treatment is either sufficiently conducive to a callback, or can be trivially modified to be based on a particular target URI (the "emergency" GRUU), then a special tag is more hindrance than help.

If steps are taken to disable certain call controls for callbacks based on the presence of the tag, then that can be abused.  We've already pretty much written off the idea of validating a tag.

As long as you construct an "emergency" GRUU that is difficult to guess [*] and only use it for emergency calling, then you could relax call screening rules.  Abuse is only a problem after the "emergency" GRUU is used.  

[*] RFC 5627 specifically doesn't provide this property (see Sec10.1), advising the use of call screening, so might be cause for the inclusion of a tag in the registration, if only to gain that property.

--Martin